Bug 625751 - yealink driver broken
yealink driver broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 06:48 EDT by Pavel Alexeev
Modified: 2011-06-28 10:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 14796 None None None Never

  None (edit)
Description Pavel Alexeev 2010-08-20 06:48:07 EDT
Description of problem:
I have voip phone (formerly known as skype phone) SkypeMate.

After plug in it to USB port in log appeared next info:
Aug 20 12:25:34 localhost pulseaudio[2421]: ratelimit.c: 204 events suppressed
Aug 20 12:25:37 localhost kernel: usb 2-1.3: new full speed USB device using ehci_hcd and address 26
Aug 20 12:25:37 localhost kernel: usb 2-1.3: New USB device found, idVendor=6993, idProduct=b001
Aug 20 12:25:37 localhost kernel: usb 2-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 20 12:25:37 localhost kernel: usb 2-1.3: Product: VOIP USB Phone
Aug 20 12:25:37 localhost kernel: usb 2-1.3: Manufacturer: Yealink Network Technology Ltd.
Aug 20 12:25:37 localhost kernel: yealink: invalid payload size 64, expected 16
Aug 20 12:25:37 localhost kernel: input: Yealink usb-p1k as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/2-1.3:1.3/input/input33
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:37 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response 85
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:38 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response fd
Aug 20 12:25:39 localhost kernel: yealink: unexpected response 28


And error appeared continually.

Version-Release number of selected component (if applicable):
$ rpm -q kernel-`uname -r`
kernel-2.6.33.1-24.fc13.i686

Recent kernels unusable on my system due to the bug https://bugzilla.redhat.com/show_bug.cgi?id=587558

But I had tried also kernel-2.6.34.3-37.fc13.i686 with same result :(


How reproducible:
Always

Steps to Reproduce:
1. Just plug in cable
Comment 1 Pavel Alexeev 2010-08-23 08:34:45 EDT
I think it is incorrect bug report - my phone does not work at all.
Comment 2 Thomas Reitmayr 2010-12-30 18:33:32 EST
I think you own a phone model which is not supported by the kernel's yealink driver. Vanilla kernels only support the original USB-P1K, which uses packets of 16 bytes (therefore the "expected 16").

Unfortunately many Yealink phone models use the same VID/PID and have to be distinguished in the driver by other measures. However the yealink driver does not even consider that there might be a different model connected and treats it like a P1K. So you just get the initial warning and then, because the subsequent packets have the wrong format, an "unexpected response fd" from your phone.

My extended driver from
http://devbase.homelinux.org:5071/viewvc/voip/yealink-module
at least refuses to handle the device so the system is not clogged by useless USB traffic, but that does not help too much in your case.

What is the name of your phone model? Is it a video phone?
Comment 3 Pavel Alexeev 2010-12-31 03:40:19 EST
No, it is just voice, without video.

Unfortunately now I have not such phone anymore :( . Sorry.
Comment 4 Bug Zapper 2011-06-01 07:03:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:21:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.